Summary:	A library for dynamic code generation
Summary(pl.UTF-8):	Biblioteka do dynamicznego generowania kodu
Name:		lightning
Version:	2.1.2
Release:	4
License:	LGPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/lightning/%{name}-%{version}.tar.gz
# Source0-md5:	89ba8d0866c0907df40951383b3b88f0
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/lightning/
BuildRequires:	binutils-devel
BuildRequires:	texinfo
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU lightning is a library to aid in making portable programs that
compile assembly code at run time.

%description -l pl.UTF-8
GNU lightning to biblioteka mająca pomagać w tworzeniu przenośnych
programów kompilujących kod w asemblerze w czasie wykonywania.

%package devel
Summary:	Header files for GNU lightning library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GNU lightning
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for GNU lightning library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GNU lightning.

%package static
Summary:	Static GNU lightning library
Summary(pl.UTF-8):	Statyczna biblioteka GNU lightning
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GNU lightning library.

%description static -l pl.UTF-8
Statyczna biblioteka GNU lightning.

%prep
%setup -q
%patch0 -p1

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/liblightning.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblightning.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblightning.so
%{_libdir}/liblightning.la
%{_includedir}/lightning
%{_includedir}/lightning.h
%{_infodir}/lightning.info*
%{_pkgconfigdir}/lightning.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblightning.a
%changelog
* Mon Jul 23 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lightning.git;a=log;h=master

* Mon Jul 23 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a94842b
- release 4 (by relup.sh)

* Sun Jul 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 16b71cf
- release 3 (by relup.sh)

* Mon Feb 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 52e8862
- release 2 (by relup.sh)

* Sun Nov 12 2017 Jan Rękorajski <baggins@pld-linux.org> 72da886
- up to 2.1.2

* Tue Oct 24 2017 Jan Rękorajski <baggins@pld-linux.org> 09c4ee7
- rebuild with binutils 2.29
- release 8 (by relup.sh)

* Tue Jun 06 2017 Jakub Bogusz <qboosh@pld-linux.org> da6ac37
- release 7 (rebuild with binutils 2.28)

* Sat Dec 17 2016 Jan Rękorajski <baggins@pld-linux.org> dea2a63
- rebuild with binutils 2.27
- release 6 (by relup.sh)

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 5b14f5c
- added disassembler BRs (binutils+zlib); release 5

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> d16a726
- release 4 (by relup.sh)

* Tue Aug 04 2015 Jan Rękorajski <baggins@pld-linux.org> 1563b6d
- release 3 (by relup.sh)

* Sun Jun 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a022ea7
- libbfd rebuild
- release 2 (by relup.sh)

* Sat Apr 11 2015 Jan Rękorajski <baggins@pld-linux.org> 18025f9
- up to 2.1.0

* Sat Apr 11 2015 Jan Rękorajski <baggins@pld-linux.org> 596b7cc
- release 3 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 880d0ec
- release 2 (by relup.sh)

* Mon Sep 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 87dbcd3
- updated to 2.0.5

* Tue Jan 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2154459
- release 3 (by relup.sh)

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> a31ffc0
- release 2 (by relup.sh)

* Thu Jan 09 2014 Jakub Bogusz <qboosh@pld-linux.org> bffcdf7
- updated to 2.0.3

* Tue Dec 03 2013 Jan Rękorajski <baggins@pld-linux.org> 843df85
- rebuild with binutils 2.24.51.0.1
- release 2 (by relup.sh)

* Fri Nov 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 5980988
- updated to 2.0.2

